Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1818)
+++ palm/trunk/SOURCE/Makefile	(revision 1822)
@@ -20,5 +20,6 @@
 # Current revisions:
 # ------------------
-# 
+# Tails removed. lpm_release_set removed. calc_precipitation, impact_of_latent_heat
+# removed. 
 # 
 # Former revisions:
@@ -246,5 +247,5 @@
 	advec_w_pw.f90 advec_w_up.f90 average_3d_data.f90 boundary_conds.f90 \
 	buoyancy.f90 calc_liquid_water_content.f90 calc_mean_profile.f90 \
-	calc_precipitation.f90 calc_radiation.f90 \
+	calc_radiation.f90 \
 	check_for_restart.f90 check_open.f90 check_parameters.f90 \
 	close_file.f90 compute_vpt.f90 coriolis.f90 cpulog.f90 \
@@ -257,5 +258,5 @@
 	disturb_heatflux.f90 eqn_state_seawater.f90 exchange_horiz.f90 \
 	exchange_horiz_2d.f90 fft_xy.f90 flow_statistics.f90 \
-	global_min_max.f90 header.f90 impact_of_latent_heat.f90 \
+	global_min_max.f90 header.f90 \
 	inflow_turbulence.f90 init_1d_model.f90 init_3d_model.f90 \
 	init_advec.f90 init_cloud_physics.f90 init_coupling.f90 init_dvrp.f90 \
@@ -268,7 +269,6 @@
 	lpm_data_output_particles.f90 lpm_droplet_collision.f90 \
 	lpm_droplet_condensation.f90 lpm_exchange_horiz.f90 \
-	lpm_extend_tails.f90 \
-	lpm_extend_tail_array.f90 lpm_init.f90 lpm_init_sgs_tke.f90 \
-	lpm_pack_arrays.f90 lpm_read_restart_file.f90 lpm_release_set.f90 \
+	lpm_init.f90 lpm_init_sgs_tke.f90 \
+	lpm_pack_arrays.f90 lpm_read_restart_file.f90 \
 	lpm_set_attributes.f90 \
 	lpm_write_exchange_statistics.f90 lpm_write_restart_file.f90 \
@@ -349,5 +349,4 @@
 calc_mean_profile.o: modules.o mod_kinds.o
 calc_liquid_water_content.o: modules.o mod_kinds.o
-calc_precipitation.o: modules.o mod_kinds.o
 calc_radiation.o: modules.o mod_kinds.o
 check_for_restart.o: modules.o mod_kinds.o pmc_interface.o
@@ -395,5 +394,4 @@
    plant_canopy_model.o pmc_handle_communicator.o pmc_interface.o \
    radiation_model.o spectrum.o subsidence.o 
-impact_of_latent_heat.o: modules.o mod_kinds.o
 inflow_turbulence.o: modules.o cpulog.o mod_kinds.o
 init_1d_model.o: modules.o mod_kinds.o
@@ -418,6 +416,6 @@
 local_tremain.o: modules.o cpulog.o mod_kinds.o
 local_tremain_ini.o: modules.o cpulog.o mod_kinds.o
-lpm.o: modules.o cpulog.o lpm_exchange_horiz.o lpm_pack_arrays.o mod_kinds.o \
-	mod_particle_attributes.o
+lpm.o: modules.o cpulog.o lpm_exchange_horiz.o lpm_init.o lpm_pack_arrays.o \
+	mod_kinds.o mod_particle_attributes.o
 lpm_advec.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
 lpm_boundary_conds.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
@@ -434,6 +432,4 @@
 lpm_exchange_horiz.o: modules.o cpulog.o lpm_pack_arrays.o mod_kinds.o \
 	mod_particle_attributes.o netcdf_interface.o
-lpm_extend_tails.o: modules.o mod_kinds.o mod_particle_attributes.o
-lpm_extend_tail_array.o: modules.o mod_kinds.o mod_particle_attributes.o
 lpm_init.o: modules.o lpm_collision_kernels.o mod_kinds.o \
 	netcdf_interface.o random_function.o mod_particle_attributes.o \
@@ -443,6 +439,4 @@
 lpm_read_restart_file.o: modules.o mod_kinds.o mod_particle_attributes.o \
 	lpm_pack_arrays.o
-lpm_release_set.o: modules.o mod_kinds.o random_function.o \
-	mod_particle_attributes.o lpm_init.o  random_generator_parallel.o
 lpm_set_attributes.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
 lpm_write_exchange_statistics.o: modules.o mod_kinds.o mod_particle_attributes.o
@@ -480,7 +474,7 @@
 prognostic_equations.o: modules.o advec_s_pw.o advec_s_up.o advec_s_bc.o advec_u_pw.o \
 	advec_u_up.o advec_v_pw.o advec_v_up.o advec_w_pw.o advec_w_up.o \
-	advec_ws.o buoyancy.o calc_precipitation.o calc_radiation.o coriolis.o \
+	advec_ws.o buoyancy.o calc_radiation.o coriolis.o \
 	cpulog.o diffusion_e.o diffusion_s.o diffusion_u.o diffusion_v.o diffusion_w.o \
-	eqn_state_seawater.o impact_of_latent_heat.o mod_kinds.o microphysics.o \
+	eqn_state_seawater.o mod_kinds.o microphysics.o \
 	nudging.o plant_canopy_model.o production_e.o radiation_model.o \
 	subsidence.o user_actions.o