Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1822)
+++ palm/trunk/SOURCE/Makefile	(revision 1823)
@@ -20,10 +20,13 @@
 # Current revisions:
 # ------------------
-# Tails removed. lpm_release_set removed. calc_precipitation, impact_of_latent_heat
-# removed. 
+#
 # 
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1822 2016-04-07 07:49:42Z hoffmann
+# Tails removed. lpm_release_set removed. calc_precipitation, impact_of_latent_heat
+# removed. 
 #
 # 1817 2016-04-06 15:44:20Z maronga
Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 1822)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 1823)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! icloud_scheme removed, microphysics_seifert added
+!
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$ 
 ! 
+! 1822 2016-04-07 07:49:42Z hoffmann
+! icloud_scheme removed, microphysics_seifert added
+!
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 1822)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! icloud_scheme removed. microphyisics_seifert added.
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! icloud_scheme removed. microphyisics_seifert added.
 !
 ! 1764 2016-02-28 12:45:19Z raasch
Index: palm/trunk/SOURCE/calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 1822)
+++ palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! icloud_scheme removed. microphysics_seifert added.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! icloud_scheme removed. microphysics_seifert added.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1822)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1823)
@@ -19,17 +19,20 @@
 ! Current revisions:
 ! -----------------
-! PALM collision kernel deleted. Collision algorithms are checked for correct
-! spelling.
-!
-! Tails removed.
-!
-! Checks for use_sgs_for_particles adopted for the use of droplets with
-! use_sgs_for_particles adopted.
-!
-! Unused variables removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! PALM collision kernel deleted. Collision algorithms are checked for correct
+! spelling.
+!
+! Tails removed.
+!
+! Checks for use_sgs_for_particles adopted for the use of droplets with
+! use_sgs_for_particles adopted.
+!
+! Unused variables removed.
 !
 ! 1817 2016-04-06 15:44:20Z maronga
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1822)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Output of bulk cloud physics simplified.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Output of bulk cloud physics simplified.
 !
 ! 1788 2016-03-10 11:01:04Z maronga
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 1822)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! prr vertical dimensions set to nzb_do to nzt_do. Unused variables deleted.
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! prr vertical dimensions set to nzb_do to nzt_do. Unused variables deleted.
 !
 ! 1808 2016-04-05 19:44:00Z raasch
Index: palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1822)
+++ palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Particles and tails removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Particles and tails removed.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1822)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Output of bulk microphysics simplified.
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Output of bulk microphysics simplified.
 !
 ! 1815 2016-04-06 13:49:59Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1822)
+++ palm/trunk/SOURCE/header.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Tails removed. icloud_scheme replaced by microphysics_*
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Tails removed. icloud_scheme replaced by microphysics_*
 !
 ! 1817 2016-04-06 15:44:20Z maronga
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1822)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! icloud_scheme replaced by microphysics_*
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! icloud_scheme replaced by microphysics_*
 !
 ! 1817 2016-04-06 15:44:20Z maronga
Index: palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1822)
+++ palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! icloud_scheme replaced by microphysics_*
+!
 ! 
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! icloud_scheme replaced by microphysics_*
 !
 ! 1691 2015-10-26 16:17:44Z maronga
Index: palm/trunk/SOURCE/init_masks.f90
===================================================================
--- palm/trunk/SOURCE/init_masks.f90	(revision 1822)
+++ palm/trunk/SOURCE/init_masks.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! icloud_scheme replaced by microphysics_*
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! icloud_scheme replaced by microphysics_*
 !
 ! 1804 2016-04-05 16:30:18Z maronga
Index: palm/trunk/SOURCE/interaction_droplets_ptq.f90
===================================================================
--- palm/trunk/SOURCE/interaction_droplets_ptq.f90	(revision 1822)
+++ palm/trunk/SOURCE/interaction_droplets_ptq.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Unused variables removed.
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Unused variables removed.
 !
 ! 1779 2016-03-03 08:01:28Z raasch
Index: palm/trunk/SOURCE/lpm.f90
===================================================================
--- palm/trunk/SOURCE/lpm.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm.f90	(revision 1823)
@@ -19,16 +19,19 @@
 ! Current revisions:
 ! ------------------
-! Tails removed.
-!
-! Initialization of sgs model not necessary for the use of cloud_droplets and
-! use_sgs_for_particles.
-!
-! lpm_release_set integrated.
-!
-! Unused variabled removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Tails removed.
+!
+! Initialization of sgs model not necessary for the use of cloud_droplets and
+! use_sgs_for_particles.
+!
+! lpm_release_set integrated.
+!
+! Unused variabled removed.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/lpm_advec.f90
===================================================================
--- palm/trunk/SOURCE/lpm_advec.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_advec.f90	(revision 1823)
@@ -19,4 +19,11 @@
 ! Current revisions:
 ! ------------------
+!
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
 ! Random velocity fluctuations for particles added. Terminal fall velocity
 ! for droplets is calculated from a parameterization (which is better than
@@ -25,8 +32,4 @@
 !
 ! Unused variables deleted.
-! 
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1691 2015-10-26 16:17:44Z maronga
Index: palm/trunk/SOURCE/lpm_boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Tails removed. Unused variables removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Tails removed. Unused variables removed.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Unused variables removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Unused variables removed.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/lpm_collision_kernels.f90
===================================================================
--- palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1823)
@@ -19,13 +19,16 @@
 ! Current revisions:
 ! -----------------
-! PALM kernel has been deleted.
-! Bugfix in the calculation of the turbulent enhancement factor of the
-! collection efficiency.
-!
-! Unused variables removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! PALM kernel has been deleted.
+! Bugfix in the calculation of the turbulent enhancement factor of the
+! collection efficiency.
+!
+! Unused variables removed.
 !
 ! 1776 2016-03-02 17:54:58Z hoffmann
Index: palm/trunk/SOURCE/lpm_data_output_particles.f90
===================================================================
--- palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Tails removed. Unused variables removed.
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Tails removed. Unused variables removed.
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/lpm_droplet_collision.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1823)
@@ -19,13 +19,16 @@
 ! Current revisions:
 ! ------------------
-! Integration of a new collision algortithm based on Shima et al. (2009) and
-! Soelch and Kaercher (2010) called all_or_nothing. The previous implemented 
-! collision algorithm is called average_impact. Moreover, both algorithms are 
-! now positive definit due to their construction, i.e., no negative weighting 
-! factors should occur.
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Integration of a new collision algortithm based on Shima et al. (2009) and
+! Soelch and Kaercher (2010) called all_or_nothing. The previous implemented
+! collision algorithm is called average_impact. Moreover, both algorithms are
+! now positive definit due to their construction, i.e., no negative weighting
+! factors should occur.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Unused variables removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Unused variables removed.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/lpm_exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Tails removed. Unused variables removed.
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Tails removed. Unused variables removed.
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Unused variables removed.
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Unused variables removed.
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/lpm_init_sgs_tke.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init_sgs_tke.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_init_sgs_tke.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Unused variables removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Unused variables removed.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/lpm_pack_arrays.f90
===================================================================
--- palm/trunk/SOURCE/lpm_pack_arrays.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_pack_arrays.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Tails removed. Unused variables removed.
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Tails removed. Unused variables removed.
 !
 ! 1685 2015-10-08 07:32:13Z raasch
Index: palm/trunk/SOURCE/lpm_read_restart_file.f90
===================================================================
--- palm/trunk/SOURCE/lpm_read_restart_file.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_read_restart_file.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Tails removed. Unused variables removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Tails removed. Unused variables removed.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/lpm_set_attributes.f90
===================================================================
--- palm/trunk/SOURCE/lpm_set_attributes.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_set_attributes.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Unused variables removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Unused variables removed.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/lpm_write_exchange_statistics.f90
===================================================================
--- palm/trunk/SOURCE/lpm_write_exchange_statistics.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_write_exchange_statistics.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Unused variables removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Unused variables removed.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/lpm_write_restart_file.f90
===================================================================
--- palm/trunk/SOURCE/lpm_write_restart_file.f90	(revision 1822)
+++ palm/trunk/SOURCE/lpm_write_restart_file.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Tails removed. Unused variables removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Tails removed. Unused variables removed.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/microphysics.f90
===================================================================
--- palm/trunk/SOURCE/microphysics.f90	(revision 1822)
+++ palm/trunk/SOURCE/microphysics.f90	(revision 1823)
@@ -19,11 +19,13 @@
 ! Current revisions:
 ! ------------------
-! Unused variables removed. 
-!
-! Kessler scheme integrated.
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Unused variables removed.
+! Kessler scheme integrated.
 !
 ! 1691 2015-10-26 16:17:44Z maronga
Index: palm/trunk/SOURCE/mod_particle_attributes.f90
===================================================================
--- palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 1822)
+++ palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 1823)
@@ -19,11 +19,13 @@
 ! Current revisions:
 ! ------------------
-! +collision_algorithm, all_or_nothing, average_impact
-! 
-! Tails removed.
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! +collision_algorithm, all_or_nothing, average_impact
+! Tails removed.
 !
 ! 1727 2015-11-20 07:22:02Z knoop
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1822)
+++ palm/trunk/SOURCE/modules.f90	(revision 1823)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! ------------------
-! icloud_scheme removed. microphysics_sat_adjust, microphysics_kessler, 
-! microphysics_seifert added. 
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! icloud_scheme removed. microphysics_sat_adjust, microphysics_kessler,
+! microphysics_seifert added.
 !
 ! 1815 2016-04-06 13:49:59Z raasch
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1822)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1823)
@@ -19,11 +19,13 @@
 ! Current revisions:
 ! -----------------
-! +collision_algorithm
-!
-! Tails removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 822 2016-04-07 07:49:42Z hoffmann
+! +collision_algorithm
+! Tails removed.
 !
 ! 1817 2016-04-06 15:44:20Z maronga
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 1822)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Kessler microphysics scheme moved to microphysics.  
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! Kessler microphysics scheme moved to microphysics.
 !
 ! 1757 2016-02-22 15:49:32Z maronga
Index: palm/trunk/SOURCE/surface_layer_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/surface_layer_fluxes.f90	(revision 1822)
+++ palm/trunk/SOURCE/surface_layer_fluxes.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! icloud_scheme replaced by microphysics_*
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! icloud_scheme replaced by microphysics_*
 !
 ! 1788 2016-03-10 11:01:04Z maronga
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 1822)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! icloud_scheme replaced by microphysics_*
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! icloud_scheme replaced by microphysics_*
 !
 ! swap_timelevel.f90 1766 2016-02-29 08:37:15Z raasch
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1822)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! icloud_scheme replaced by microphysics_*
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! icloud_scheme replaced by microphysics_*
 !
 ! 1808 2016-04-05 19:44:00Z raasch
Index: palm/trunk/SOURCE/user_actions.f90
===================================================================
--- palm/trunk/SOURCE/user_actions.f90	(revision 1822)
+++ palm/trunk/SOURCE/user_actions.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! qr/nr-tendency removed.
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! qr/nr-tendency removed.
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 1822)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 1823)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! icloud_scheme replaced by microphysics_*
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1822 2016-04-07 07:49:42Z hoffmann
+! icloud_scheme replaced by microphysics_*
 !
 ! 1788 2016-03-10 11:01:04Z maronga