Index: /palm/trunk/SCRIPTS/document_changes
===================================================================
--- /palm/trunk/SCRIPTS/document_changes	(revision 1826)
+++ /palm/trunk/SCRIPTS/document_changes	(revision 1827)
@@ -20,5 +20,5 @@
 # Current revisions:
 # -----------------
-# 
+# Added note that the script does not work on MAC OS
 # 
 # Former revisions:
Index: /palm/trunk/SCRIPTS/mbuild
===================================================================
--- /palm/trunk/SCRIPTS/mbuild	(revision 1826)
+++ /palm/trunk/SCRIPTS/mbuild	(revision 1827)
@@ -22,10 +22,10 @@
 # Current revisions:
 # ------------------
-# Added note that the script does not work on MAC OS
+# 
 # 
 # Former revisions:
 # -----------------
 # $Id$
-#
+# 
 # 1817 2016-04-06 15:44:20Z maronga
 # Bugfix: Makefile_check removed (parameter file check)
Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 1826)
+++ /palm/trunk/SOURCE/Makefile	(revision 1827)
@@ -20,6 +20,5 @@
 # Current revisions:
 # ------------------
-# Renamed radiation_model to radiation_model_mod.
-# Renamed plant_canopy_model to plant_canopy_model_mod.
+# 
 # 
 # Former revisions:
@@ -27,4 +26,8 @@
 # $Id$
 #
+# 1826 2016-04-07 12:01:39Z maronga
+# Renamed radiation_model to radiation_model_mod.
+# Renamed plant_canopy_model to plant_canopy_model_mod.
+# 
 # 1822 2016-04-07 07:49:42Z hoffmann
 # Tails removed. lpm_release_set removed. calc_precipitation, impact_of_latent_heat
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1826)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1827)
@@ -19,11 +19,14 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1826 2016-04-07 12:01:39Z maronga
 ! Moved checks for radiation model to the respective module.
 ! Moved checks for plant canopy model to the respective module.
 ! Bugfix for check of too large roughness_length
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1824 2016-04-07 09:55:29Z gronemeier
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1826)
+++ /palm/trunk/SOURCE/header.f90	(revision 1827)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! -----------------
-! Moved radiation model header output to the respective module.
-! Moved canopy model header output to the respective module.
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1826 2016-04-07 12:01:39Z maronga
+! Moved radiation model header output to the respective module.
+! Moved canopy model header output to the respective module.
 !
 ! 1822 2016-04-07 07:49:42Z hoffmann
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1826)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1827)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Renamed radiation calls.
-! Renamed canopy model calls.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1826 2016-04-07 12:01:39Z maronga
+! Renamed radiation calls.
+! Renamed canopy model calls.
+! 
 ! 1822 2016-04-07 07:49:42Z hoffmann
 ! icloud_scheme replaced by microphysics_*
Index: /palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 1826)
+++ /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 1827)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Cleanup after modularization
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1826 2016-04-07 12:01:39Z maronga
+! Cleanup after modularization
+! 
 ! 1817 2016-04-06 15:44:20Z maronga
 ! Added interface for lsm_init_arrays. Added subroutines for check_parameters,
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 1826)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 1827)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Reading of &radiation_par moved to radiation_model_mod.
-! Reading of &canopy_par moved to plant_canopy_model_mod.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1826 2016-04-07 12:01:39Z maronga
+! Reading of &radiation_par moved to radiation_model_mod.
+! Reading of &canopy_par moved to plant_canopy_model_mod.
+! 
 ! 822 2016-04-07 07:49:42Z hoffmann
 ! +collision_algorithm
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1826)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1827)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added call to radiation model for reading of &radiation_par.
-! Added call to plant canopy model for reading of &canopy_par.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1826 2016-04-07 12:01:39Z maronga
+! Added call to radiation model for reading of &radiation_par.
+! Added call to plant canopy model for reading of &canopy_par.
+! 
 ! 1817 2016-04-06 15:44:20Z maronga
 ! Added call to land surface model for reading of &lsm_par
Index: /palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 1826)
+++ /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 1827)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Further modularization
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1826 2016-04-07 12:01:39Z maronga
+! Further modularization
 !
 ! 1721 2015-11-16 12:56:48Z raasch
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1826)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1827)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Renamed canopy model calls.
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1826 2016-04-07 12:01:39Z maronga
+! Renamed canopy model calls.
+! 
 ! 1822 2016-04-07 07:49:42Z hoffmann
 ! Kessler microphysics scheme moved to microphysics.
Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 1826)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 1827)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Further modularization.
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1826 2016-04-07 12:01:39Z maronga
+! Further modularization.
+! 
 ! 1788 2016-03-10 11:01:04Z maronga
 ! Added new albedo class for pavements / roads.