Index: /palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1830)
+++ /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1831)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! curvature_solution_effects moved to particle_attributes
 !
 ! Former revisions:
@@ -70,7 +70,4 @@
  
 
-    USE cloud_parameters,                                                      &
-        ONLY:  curvature_solution_effects
-
     USE control_parameters,                                                    &
         ONLY:  dopts_time_count, time_since_reference_point
@@ -93,6 +90,6 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  grid_particles, number_of_particles, number_of_particle_groups, &
-               particles, prt_count
+        ONLY:  curvature_solution_effects, grid_particles, number_of_particles,&
+               number_of_particle_groups, particles, prt_count
 
     USE pegrid
Index: /palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_e.f90	(revision 1830)
+++ /palm/trunk/SOURCE/diffusion_e.f90	(revision 1831)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! turbulence renamed collision_turbulence
 ! 
 ! Former revisions:
@@ -116,7 +116,10 @@
            
        USE control_parameters,                                                 &
-           ONLY:  atmos_ocean_sign, g, turbulence, use_single_reference_value, &
+           ONLY:  atmos_ocean_sign, g, use_single_reference_value, &
                   wall_adjustment, wall_adjustment_factor
-                  
+
+       USE cloud_parameters,                                                   &
+           ONLY:  collision_turbulence
+
        USE grid_variables,                                                     &
            ONLY:  ddx2, ddy2
@@ -215,5 +218,5 @@
 !--          velocities
              IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.               &
-                  turbulence )  THEN
+                  collision_turbulence )  THEN
                 DO  j = nys, nyn
                    DO  k = nzb_s_inner(j,i)+1, nzt
@@ -287,5 +290,5 @@
 !--          velocities
              IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.               &
-                  turbulence )  THEN
+                  collision_turbulence )  THEN
                 DO  j = nys, nyn
                    DO  k = nzb_s_inner(j,i)+1, nzt
@@ -301,5 +304,6 @@
 !
 !--    Boundary condition for dissipation
-       IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.  turbulence )  THEN
+       IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.                     &
+            collision_turbulence )  THEN
           DO  i = nxl, nxr
              DO  j = nys, nyn
@@ -323,7 +327,10 @@
           
        USE control_parameters,                                                 &
-           ONLY:  atmos_ocean_sign, g, turbulence, use_single_reference_value, &
+           ONLY:  atmos_ocean_sign, g, use_single_reference_value,             &
                   wall_adjustment, wall_adjustment_factor
-                
+
+       USE cloud_parameters,                                                   &
+           ONLY:  collision_turbulence
+
        USE grid_variables,                                                     &
            ONLY:  ddx2, ddy2
@@ -416,5 +423,5 @@
 !--                   velocities
                       IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.      &
-                           turbulence )  THEN
+                           collision_turbulence )  THEN
                          diss(k,j,i) = dissipation
                       ENDIF
@@ -483,5 +490,5 @@
 !--                   particle  velocities
                       IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.      &
-                           turbulence )  THEN
+                           collision_turbulence )  THEN
                          diss(k,j,i) = dissipation
                       ENDIF
@@ -498,5 +505,6 @@
 !
 !--    Boundary condition for dissipation
-       IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.  turbulence )  THEN
+       IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.                     &
+            collision_turbulence )  THEN
           !$acc kernels present( diss, nzb_s_inner )
           DO  i = i_left, i_right
@@ -522,7 +530,10 @@
           
        USE control_parameters,                                                 &
-           ONLY:  atmos_ocean_sign, g, turbulence, use_single_reference_value, &
+           ONLY:  atmos_ocean_sign, g, use_single_reference_value,             &
                   wall_adjustment, wall_adjustment_factor
-                
+
+       USE cloud_parameters,                                                   &
+           ONLY:  collision_turbulence
+
        USE grid_variables,                                                     &
            ONLY:  ddx2, ddy2
@@ -607,5 +618,5 @@
 !
 !--    Store dissipation if needed for calculating the sgs particle velocities
-       IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.  turbulence )  THEN
+       IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.  collision_turbulence )  THEN
           DO  k = nzb_s_inner(j,i)+1, nzt
              diss(k,j,i) = dissipation(k)
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1830)
+++ /palm/trunk/SOURCE/header.f90	(revision 1831)
@@ -19,6 +19,7 @@
 ! Current revisions:
 ! -----------------
-! 
-! 
+! turbulence renamed collision_turbulence, 
+! drizzle renamed cloud_water_sedimentation
+!
 ! Former revisions:
 ! -----------------
@@ -251,6 +252,7 @@
         
     USE cloud_parameters,                                                      &
-        ONLY:  cp, curvature_solution_effects, c_sedimentation,                &
-               limiter_sedimentation, l_v, nc_const, r_d, ventilation_effect
+        ONLY:  cloud_water_sedimentation, collision_turbulence, cp,            &
+               c_sedimentation, limiter_sedimentation, l_v, nc_const,          &
+               r_d, ventilation_effect
         
     USE cpulog,                                                                &
@@ -280,4 +282,5 @@
     USE particle_attributes,                                                   &
         ONLY:  bc_par_b, bc_par_lr, bc_par_ns, bc_par_t, collision_kernel,     &
+               curvature_solution_effects,                                     &
                density_ratio, dissipation_classes, dt_min_part, dt_prel,       &
                dt_write_particle_data, end_time_prel,                          &
@@ -1689,7 +1692,7 @@
           WRITE ( io, 133 )
        ELSEIF ( microphysics_seifert )  THEN
-          IF ( drizzle )  WRITE ( io, 506 )
+          IF ( cloud_water_sedimentation )  WRITE ( io, 506 )
           WRITE ( io, 505 )
-          IF ( turbulence )  WRITE ( io, 507 )
+          IF ( collision_turbulence )  WRITE ( io, 507 )
           IF ( ventilation_effect )  WRITE ( io, 508 )
           IF ( limiter_sedimentation )  WRITE ( io, 509 )
@@ -2253,5 +2256,5 @@
 504 FORMAT (' --> Scalar advection via Wicker-Skamarock-Scheme 5th order')
 505 FORMAT ('    Precipitation parameterization via Seifert-Beheng-Scheme')
-506 FORMAT ('    Drizzle parameterization via Stokes law')
+506 FORMAT ('    Cloud water sedimentation parameterization via Stokes law')
 507 FORMAT ('    Turbulence effects on precipitation process')
 508 FORMAT ('    Ventilation effects on evaporation of rain drops')
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1830)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1831)
@@ -19,6 +19,6 @@
 ! Current revisions:
 ! ------------------
-! 
-! 
+! turbulence renamed collision_turbulence
+!
 ! Former revisions:
 ! -----------------
@@ -258,5 +258,6 @@
     
     USE cloud_parameters,                                                      &
-        ONLY:  nc_const, precipitation_amount, precipitation_rate, prr
+        ONLY:  collision_turbulence, nc_const, precipitation_amount,           &
+               precipitation_rate, prr
     
     USE constants,                                                             &
@@ -569,6 +570,6 @@
 !-- 3D-array for storing the dissipation, needed for calculating the sgs
 !-- particle velocities
-    IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.  turbulence  .OR.      &
-         num_acc_per_node > 0 )  THEN
+    IF ( use_sgs_for_particles  .OR.  wang_kernel  .OR.  collision_turbulence  &
+         .OR.  num_acc_per_node > 0 )  THEN
        ALLOCATE( diss(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
     ENDIF
Index: /palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1830)
+++ /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1831)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-!
+! curvature_solution_effects moved to particle_attributes
 ! 
 ! Former revisions:
@@ -90,6 +90,5 @@
 
     USE cloud_parameters,                                                      &
-        ONLY:  bfactor, curvature_solution_effects, eps_ros, l_d_rv, l_v,      &
-               rho_l,  r_v
+        ONLY:  bfactor, eps_ros, l_d_rv, l_v, rho_l,  r_v
 
     USE constants,                                                             &
@@ -111,6 +110,7 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  block_offset, grid_particles, hall_kernel, number_of_particles, &
-               particles, radius_classes, use_kernel_tables, wang_kernel
+        ONLY:  block_offset, curvature_solution_effects, grid_particles,       &
+               hall_kernel, number_of_particles, particles, radius_classes,    &
+               use_kernel_tables, wang_kernel
 
 
Index: /palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_init.f90	(revision 1830)
+++ /palm/trunk/SOURCE/lpm_init.f90	(revision 1831)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! curvature_solution_effects moved to particle_attributes
 !
 ! Former revisions:
@@ -109,7 +109,4 @@
         ONLY:  de_dx, de_dy, de_dz, zu, zw, z0
 
-    USE cloud_parameters,                                                      &
-        ONLY:  curvature_solution_effects
-
     USE control_parameters,                                                    &
         ONLY:  cloud_droplets, constant_flux_layer, current_timestep_number,   &
@@ -134,4 +131,5 @@
         ONLY:   alloc_factor, bc_par_b, bc_par_lr, bc_par_ns, bc_par_t,        &
                 block_offset, block_offset_def, collision_kernel,              &
+                curvature_solution_effects,                                    &
                 density_ratio, grid_particles,                                 &
                 initial_weighting_factor, ibc_par_b, ibc_par_lr, ibc_par_ns,   &
Index: /palm/trunk/SOURCE/microphysics.f90
===================================================================
--- /palm/trunk/SOURCE/microphysics.f90	(revision 1830)
+++ /palm/trunk/SOURCE/microphysics.f90	(revision 1831)
@@ -19,5 +19,7 @@
 ! Current revisions:
 ! ------------------
-!
+! turbulence renamed collision_turbulence, 
+! drizzle renamed cloud_water_sedimentation. cloud_water_sedimentation also
+! avaialble for microphysics_kessler.
 !
 ! Former revisions:
@@ -163,8 +165,8 @@
 
        USE cloud_parameters,                                                   &
-           ONLY:  cp, hyrho, prr, pt_d_t, r_d, t_d_pt
+           ONLY:  cloud_water_sedimentation, cp, hyrho, prr, pt_d_t, r_d, t_d_pt
 
        USE control_parameters,                                                 &
-           ONLY:  call_microphysics_at_all_substeps, drizzle, dt_3d, dt_micro, &
+           ONLY:  call_microphysics_at_all_substeps, dt_3d, dt_micro,          &
                   g, intermediate_timestep_count, large_scale_forcing,         &
                   lsf_surf, microphysics_kessler, microphysics_seifert,        &
@@ -223,4 +225,5 @@
 
           CALL autoconversion_kessler
+          IF ( cloud_water_sedimentation )  CALL sedimentation_cloud
 
        ELSEIF ( microphysics_seifert )  THEN
@@ -232,6 +235,5 @@
           CALL evaporation_rain
           CALL sedimentation_rain
-
-          IF ( drizzle )  CALL sedimentation_cloud
+          IF ( cloud_water_sedimentation )  CALL sedimentation_cloud
 
        ENDIF
@@ -306,9 +308,9 @@
        USE cloud_parameters,                                                   &
            ONLY:  a_1, a_2, a_3, b_1, b_2, b_3, beta_cc, c_1, c_2, c_3,        &
-                  c_const, dpirho_l, eps_sb, hyrho, k_cc, kin_vis_air,         &
-                  nc_const, x0
+                  c_const, collision_turbulence, dpirho_l, eps_sb, hyrho,      &
+                  k_cc, kin_vis_air, nc_const, x0
 
        USE control_parameters,                                                 &
-           ONLY:  dt_micro, rho_surface, turbulence
+           ONLY:  dt_micro, rho_surface
 
        USE cpulog,                                                             &
@@ -371,5 +373,5 @@
 !--                Parameterized turbulence effects on autoconversion (Seifert, 
 !--                Nuijens and Stevens, 2010)
-                   IF ( turbulence )  THEN
+                   IF ( collision_turbulence )  THEN
 !
 !--                   Weight averaged radius of cloud droplets:
@@ -495,8 +497,8 @@
 
        USE cloud_parameters,                                                   &
-           ONLY:  eps_sb, hyrho, k_cr0
+           ONLY:  collision_turbulence, eps_sb, hyrho, k_cr0
 
        USE control_parameters,                                                 &
-           ONLY:  dt_micro, rho_surface, turbulence
+           ONLY:  dt_micro, rho_surface
 
        USE cpulog,                                                             &
@@ -537,5 +539,5 @@
 !--                Nuijens and Stevens, 2010). The factor of 1.0E4 is needed to 
 !--                convert the dissipation rate (diss) from m2 s-3 to cm2 s-3.
-                   IF ( turbulence )  THEN
+                   IF ( collision_turbulence )  THEN
                       k_cr = k_cr0 * ( 1.0_wp + 0.05_wp *                      &
                                        MIN( 600.0_wp,                          &
@@ -1165,8 +1167,9 @@
 
        USE cloud_parameters,                                                   &
-           ONLY:  cp, hyrho, nc_const, prr, pt_d_t, r_d, t_d_pt
+           ONLY:  cloud_water_sedimentation, cp, hyrho, nc_const, prr, pt_d_t, &
+                  r_d, t_d_pt
 
        USE control_parameters,                                                 &
-           ONLY:  call_microphysics_at_all_substeps, drizzle, dt_3d, dt_micro, &
+           ONLY:  call_microphysics_at_all_substeps, dt_3d, dt_micro,          &
                   g, intermediate_timestep_count, large_scale_forcing,         &
                   lsf_surf, microphysics_seifert, microphysics_kessler,        &
@@ -1236,4 +1239,5 @@
 
           CALL autoconversion_kessler( i,j )
+          IF ( cloud_water_sedimentation )  CALL sedimentation_cloud( i,j )
 
        ELSEIF ( microphysics_seifert )  THEN
@@ -1245,6 +1249,5 @@
           CALL evaporation_rain( i,j )
           CALL sedimentation_rain( i,j )
-
-          IF ( drizzle )  CALL sedimentation_cloud( i,j )
+          IF ( cloud_water_sedimentation )  CALL sedimentation_cloud( i,j )
 
        ENDIF
@@ -1326,8 +1329,9 @@
        USE cloud_parameters,                                                   &
            ONLY:  a_1, a_2, a_3, b_1, b_2, b_3, beta_cc, c_1, c_2, c_3,        &
-                  c_const, dpirho_l, eps_sb, hyrho, kin_vis_air, k_cc, x0
+                  c_const, collision_turbulence, dpirho_l, eps_sb, hyrho,      &
+                  kin_vis_air, k_cc, x0
 
        USE control_parameters,                                                 &
-           ONLY:  dt_micro, rho_surface, turbulence
+           ONLY:  dt_micro, rho_surface
 
        USE grid_variables,                                                     &
@@ -1382,5 +1386,5 @@
 !--          Parameterized turbulence effects on autoconversion (Seifert, 
 !--          Nuijens and Stevens, 2010)
-             IF ( turbulence )  THEN
+             IF ( collision_turbulence )  THEN
 !
 !--             Weight averaged radius of cloud droplets:
@@ -1495,8 +1499,8 @@
 
        USE cloud_parameters,                                                   &
-           ONLY:  eps_sb, hyrho, k_cr0
+           ONLY:  collision_turbulence, eps_sb, hyrho, k_cr0
 
        USE control_parameters,                                                 &
-           ONLY:  dt_micro, rho_surface, turbulence
+           ONLY:  dt_micro, rho_surface
 
        USE indices,                                                            &
@@ -1529,5 +1533,5 @@
 !--          Nuijens and Stevens, 2010). The factor of 1.0E4 is needed to 
 !--          convert the dissipation rate (diss) from m2 s-3 to cm2 s-3.
-             IF ( turbulence )  THEN
+             IF ( collision_turbulence )  THEN
                 k_cr = k_cr0 * ( 1.0_wp + 0.05_wp *                            &
                                  MIN( 600.0_wp,                                &
Index: /palm/trunk/SOURCE/mod_particle_attributes.f90
===================================================================
--- /palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 1830)
+++ /palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 1831)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-!
+! palm_kernel removed, curvature_solution_effects added
 !
 ! Former revisions:
@@ -81,6 +81,7 @@
 
     LOGICAL ::  all_or_nothing = .FALSE., average_impact = .FALSE.,            &
-                hall_kernel = .FALSE., palm_kernel = .FALSE.,                  &
-                particle_advection = .FALSE., random_start_position = .FALSE., &
+                curvature_solution_effects = .FALSE.,                          &
+                hall_kernel = .FALSE., particle_advection = .FALSE.,           &
+                random_start_position = .FALSE.,                               &
                 read_particles_from_restartfile = .TRUE.,                      &
                 seed_follows_topography = .FALSE.,                             &
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1830)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1831)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! ------------------
-!
+! curvature_solution_effects removed
+! turbulence renamed collision_turbulence, drizzle renamed cloud_water_sedimentation
 !
 ! Former revisions:
@@ -479,7 +480,8 @@
     USE kinds
 
-    LOGICAL ::  curvature_solution_effects = .FALSE., &
-                limiter_sedimentation = .TRUE., &
-                ventilation_effect = .FALSE.
+    LOGICAL ::  cloud_water_sedimentation = .FALSE., & !< cloud water sedimentation in bulk cloud physics
+                limiter_sedimentation = .TRUE.,      & !< sedimentation limiter in bulk cloud physics
+                collision_turbulence = .FALSE.,      & !< turbulence effects in bulk cloud physics
+                ventilation_effect = .TRUE.            !< ventilation effect in bulk cloud physics
                 
 
@@ -727,5 +729,5 @@
                 do_sum = .FALSE., &
                 dp_external = .FALSE., dp_smooth = .FALSE., &
-                drizzle = .TRUE., dt_fixed = .FALSE., &
+                dt_fixed = .FALSE., &
                 dt_3d_reached, dt_3d_reached_l, exchange_mg = .FALSE., &
                 first_call_lpm = .TRUE., &
@@ -759,5 +761,5 @@
                 stop_dt = .FALSE., synchronous_exchange = .FALSE., &
                 terminate_run = .FALSE., transpose_compute_overlap = .FALSE., &
-                turbulence = .FALSE., turbulent_inflow = .FALSE., &
+                turbulent_inflow = .FALSE., &
                 use_cmax = .TRUE., use_initial_profile_as_reference = .FALSE., &
                 use_prescribed_profile_data = .FALSE., &
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 1830)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 1831)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! curvature_solution_effects added
 ! 
 ! Former revisions:
@@ -145,5 +145,6 @@
     USE particle_attributes,                                                   &
         ONLY:  alloc_factor, bc_par_b, bc_par_lr, bc_par_ns, bc_par_t,         &
-               collision_algorithm, collision_kernel, density_ratio,           &
+               collision_algorithm, collision_kernel,                          &
+               curvature_solution_effects, density_ratio,                      &
                dissipation_classes, dt_min_part, dt_prel,                      &
                dt_write_particle_data,                                         &
@@ -184,5 +185,5 @@
     NAMELIST /particles_par/      alloc_factor, bc_par_b, bc_par_lr,           &
                                   bc_par_ns, bc_par_t, collision_algorithm,    &
-                                  collision_kernel,                            &
+                                  collision_kernel, curvature_solution_effects,&
                                   density_ratio, dissipation_classes, dt_dopts,&
                                   dt_min_part, dt_prel,                        &
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1830)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1831)
@@ -19,5 +19,7 @@
 ! Current revisions:
 ! -----------------
-! 
+! turbulence renamed collision_turbulence, drizzle renamed 
+! cloud_water_sedimentation
+! curvature_solution_effects removed
 ! 
 ! Former revisions:
@@ -199,6 +201,7 @@
  
     USE cloud_parameters,                                                      &
-        ONLY:  c_sedimentation, curvature_solution_effects,                    &
-               limiter_sedimentation, nc_const, ventilation_effect
+        ONLY:  c_sedimentation, cloud_water_sedimentation,                     &
+               collision_turbulence, limiter_sedimentation, nc_const,          &
+               ventilation_effect
 
     USE control_parameters
@@ -261,11 +264,12 @@
              canyon_wall_south, c_sedimentation, cfl_factor, cloud_droplets,   &
              cloud_physics, cloud_scheme, cloud_top_radiation,                 &
-             collective_wait, conserve_volume_flow,                            &
+             cloud_water_sedimentation,                                        &
+             collective_wait, collision_turbulence, conserve_volume_flow,      &
              conserve_volume_flow_mode, constant_flux_layer,                   &
              coupling_start_time,                                              &
-             curvature_solution_effects, cycle_mg, damp_level_1d,              &
+             cycle_mg, damp_level_1d,                                          &
              dissipation_1d,                                                   &
              dp_external, dp_level_b, dp_smooth, dpdxy,                        &
-             drizzle, dt, dt_pr_1d, dt_run_control_1d, dx, dy, dz, dz_max,     & 
+             dt, dt_pr_1d, dt_run_control_1d, dx, dy, dz, dz_max,              &
              dz_stretch_factor, dz_stretch_level, end_time_1d,                 &
              ensemble_member_nr,                                               &
@@ -300,5 +304,5 @@
              topography, topography_grid_convention, top_heatflux,             &
              top_momentumflux_u, top_momentumflux_v, top_salinityflux,         &
-             transpose_compute_overlap, turbulence, turbulent_inflow,          &
+             transpose_compute_overlap, turbulent_inflow,                      &
              use_subsidence_tendencies, ug_surface, ug_vertical_gradient,      &
              ug_vertical_gradient_level, use_surface_fluxes, use_cmax,         &
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 1830)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 1831)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-!
+! turbulence renamed collision_turbulence, drizzle renamed cloud_water_sedimentation
 !
 ! Former revisions:
@@ -165,6 +165,7 @@
 
     USE cloud_parameters,                                                      &
-        ONLY:  c_sedimentation, curvature_solution_effects,                    &
-               limiter_sedimentation, nc_const, ventilation_effect
+        ONLY:  c_sedimentation, collision_turbulence,                          &
+               cloud_water_sedimentation, limiter_sedimentation,               &
+               nc_const, ventilation_effect
 
     USE control_parameters
@@ -183,5 +184,5 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  time_sort_particles
+        ONLY:  curvature_solution_effects, time_sort_particles
 
     USE pegrid
@@ -206,5 +207,5 @@
 !-- Make version number check first
     READ ( 13 )  version_on_file
-    binary_version = '4.0'
+    binary_version = '4.1'
     IF ( TRIM( version_on_file ) /= TRIM( binary_version ) )  THEN
        WRITE( message_string, * ) 'version mismatch concerning control ', &
@@ -401,6 +402,6 @@
           CASE ( 'dpdxy' )
              READ ( 13 )  dpdxy
-          CASE ( 'drizzle' )
-             READ ( 13 )  drizzle
+          CASE ( 'cloud_water_sedimentation' )
+             READ ( 13 )  cloud_water_sedimentation
           CASE ( 'dt_pr_1d' )
              READ ( 13 )  dt_pr_1d
@@ -661,6 +662,6 @@
           CASE ( 'tsc' )
              READ ( 13 )  tsc
-          CASE ( 'turbulence' )
-             READ ( 13 )  turbulence
+          CASE ( 'collision_turbulence' )
+             READ ( 13 )  collision_turbulence
           CASE ( 'turbulent_inflow' )
              READ ( 13 )  turbulent_inflow
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 1830)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 1831)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-!
+! turbulence renamed collision_turbulence
 !
 ! Former revisions:
@@ -233,8 +233,10 @@
                time_dots, time_do_av, time_do_sla, time_disturb, time_dvrp,    &
                time_run_control, time_since_reference_point,                   &
-               turbulence,                                                     &
                turbulent_inflow, use_initial_profile_as_reference,             &
                use_single_reference_value, u_gtrans, v_gtrans, ws_scheme_mom,  &
                ws_scheme_sca
+
+    USE cloud_parameters,                                                      &
+        ONLY: collision_turbulence
 
     USE cpulog,                                                                &
@@ -501,6 +503,6 @@
                    CALL exchange_horiz( ql_vp, nbgp )
                 ENDIF
-                IF ( wang_kernel  .OR.  turbulence  .OR.  use_sgs_for_particles ) &
-                THEN
+                IF ( wang_kernel  .OR.  collision_turbulence  .OR.             &
+                     use_sgs_for_particles )  THEN
                    CALL exchange_horiz( diss, nbgp )
                 ENDIF
@@ -568,6 +570,6 @@
                    CALL exchange_horiz( ql_vp, nbgp )
                 ENDIF
-                IF ( wang_kernel  .OR.  turbulence  .OR.  use_sgs_for_particles ) &
-                THEN
+                IF ( wang_kernel  .OR.  collision_turbulence  .OR.             &
+                     use_sgs_for_particles )  THEN
                    CALL exchange_horiz( diss, nbgp )
                 ENDIF
@@ -657,6 +659,6 @@
                 CALL exchange_horiz( ql_vp, nbgp )
              ENDIF
-             IF ( wang_kernel  .OR.  turbulence  .OR.  use_sgs_for_particles ) &
-             THEN
+             IF ( wang_kernel  .OR.  collision_turbulence  .OR.                &
+                  use_sgs_for_particles )  THEN
                 CALL exchange_horiz( diss, nbgp )
              ENDIF
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 1830)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 1831)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! turbulence renamed collision_turbulence, drizzle renamed cloud_water_sedimentation
 !
 ! Former revisions:
@@ -144,6 +144,7 @@
     
     USE cloud_parameters,                                                      &
-        ONLY:  c_sedimentation, curvature_solution_effects,                    &
-               limiter_sedimentation, nc_const, ventilation_effect
+        ONLY:  c_sedimentation, cloud_water_sedimentation,                     &
+               collision_turbulence, limiter_sedimentation, nc_const,          &
+               ventilation_effect
     
     USE control_parameters
@@ -162,5 +163,5 @@
     
     USE particle_attributes,                                                   &
-        ONLY:  time_sort_particles
+        ONLY:  curvature_solution_effects, time_sort_particles
     
     USE pegrid
@@ -179,5 +180,5 @@
 
 
-    binary_version = '4.0'
+    binary_version = '4.1'
 
     WRITE ( 14 )  binary_version
@@ -314,6 +315,6 @@
     WRITE ( 14 )  'dpdxy                         '
     WRITE ( 14 )  dpdxy
-    WRITE ( 14 )  'drizzle                       '
-    WRITE ( 14 )  drizzle
+    WRITE ( 14 )  'cloud_water_sedimentation     '
+    WRITE ( 14 )  cloud_water_sedimentation
     WRITE ( 14 )  'dt_pr_1d                      '
     WRITE ( 14 )  dt_pr_1d
@@ -568,6 +569,6 @@
     WRITE ( 14 )  'tsc                           '
     WRITE ( 14 )  tsc
-    WRITE ( 14 )  'turbulence                    '
-    WRITE ( 14 )  turbulence
+    WRITE ( 14 )  'collision_turbulence          '
+    WRITE ( 14 )  collision_turbulence
     WRITE ( 14 )  'turbulent_inflow              '
     WRITE ( 14 )  turbulent_inflow