Index: palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1831)
+++ palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1832)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! curvature_solution_effects moved to particle_attributes
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann
+! curvature_solution_effects moved to particle_attributes
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_e.f90	(revision 1831)
+++ palm/trunk/SOURCE/diffusion_e.f90	(revision 1832)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! turbulence renamed collision_turbulence
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann 
+! turbulence renamed collision_turbulence
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1831)
+++ palm/trunk/SOURCE/header.f90	(revision 1832)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! -----------------
-! turbulence renamed collision_turbulence, 
-! drizzle renamed cloud_water_sedimentation
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann
+! turbulence renamed collision_turbulence,
+! drizzle renamed cloud_water_sedimentation
 !
 ! 1826 2016-04-07 12:01:39Z maronga
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1831)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1832)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! turbulence renamed collision_turbulence
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann
+! turbulence renamed collision_turbulence
 !
 ! 1826 2016-04-07 12:01:39Z maronga
Index: palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1831)
+++ palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1832)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! curvature_solution_effects moved to particle_attributes
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann
+! curvature_solution_effects moved to particle_attributes
 !
 ! 1822 2016-04-07 07:49:42Z hoffmann
Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 1831)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 1832)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! curvature_solution_effects moved to particle_attributes
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann
+! curvature_solution_effects moved to particle_attributes
 !
 ! 1822 2016-04-07 07:49:42Z hoffmann
Index: palm/trunk/SOURCE/microphysics.f90
===================================================================
--- palm/trunk/SOURCE/microphysics.f90	(revision 1831)
+++ palm/trunk/SOURCE/microphysics.f90	(revision 1832)
@@ -19,11 +19,14 @@
 ! Current revisions:
 ! ------------------
-! turbulence renamed collision_turbulence, 
-! drizzle renamed cloud_water_sedimentation. cloud_water_sedimentation also
-! avaialble for microphysics_kessler.
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann
+! turbulence renamed collision_turbulence,
+! drizzle renamed cloud_water_sedimentation. cloud_water_sedimentation also
+! avaialble for microphysics_kessler.
 !
 ! 1822 2016-04-07 07:49:42Z hoffmann
Index: palm/trunk/SOURCE/mod_particle_attributes.f90
===================================================================
--- palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 1831)
+++ palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 1832)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! palm_kernel removed, curvature_solution_effects added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann
+! palm_kernel removed, curvature_solution_effects added
 !
 ! 1822 2016-04-07 07:49:42Z hoffmann
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1831)
+++ palm/trunk/SOURCE/modules.f90	(revision 1832)
@@ -19,10 +19,14 @@
 ! Current revisions:
 ! ------------------
-! curvature_solution_effects removed
-! turbulence renamed collision_turbulence, drizzle renamed cloud_water_sedimentation
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann
+! curvature_solution_effects removed
+! turbulence renamed collision_turbulence, drizzle renamed 
+! cloud_water_sedimentation
 !
 ! 1822 2016-04-07 07:49:42Z hoffmann
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1831)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1832)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! curvature_solution_effects added
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann
+! curvature_solution_effects added
 !
 ! 1826 2016-04-07 12:01:39Z maronga
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1831)
+++ palm/trunk/SOURCE/parin.f90	(revision 1832)
@@ -19,11 +19,14 @@
 ! Current revisions:
 ! -----------------
-! turbulence renamed collision_turbulence, drizzle renamed 
-! cloud_water_sedimentation
-! curvature_solution_effects removed
+!
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann
+! turbulence renamed collision_turbulence, drizzle renamed
+! cloud_water_sedimentation
+! curvature_solution_effects removed
 !
 ! 1826 2016-04-07 12:01:39Z maronga
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1831)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1832)
@@ -19,9 +19,13 @@
 ! Current revisions:
 ! ------------------
-! turbulence renamed collision_turbulence, drizzle renamed cloud_water_sedimentation
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann
+! turbulence renamed collision_turbulence, drizzle renamed
+! cloud_water_sedimentation
 !
 ! 1808 2016-04-05 19:44:00Z raasch
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1831)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1832)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! turbulence renamed collision_turbulence
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann
+! turbulence renamed collision_turbulence
 !
 ! 1822 2016-04-07 07:49:42Z hoffmann
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 1831)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1832)
@@ -19,9 +19,13 @@
 ! Current revisions:
 ! -----------------
-! turbulence renamed collision_turbulence, drizzle renamed cloud_water_sedimentation
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1831 2016-04-07 13:15:51Z hoffmann 
+! turbulence renamed collision_turbulence, drizzle renamed 
+! cloud_water_sedimentation
 !
 ! 1783 2016-03-06 18:36:17Z raasch