Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1833)
+++ palm/trunk/SOURCE/Makefile	(revision 1834)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# spectrum renamed spectra_mod, depencies for spectra changed
+# 
 # 
 # Former revisions:
@@ -26,4 +26,7 @@
 # $Id$
 #
+# 1833 2016-04-07 14:23:03Z raasch
+# spectrum renamed spectra_mod, depencies for spectra changed
+# 
 # 1826 2016-04-07 12:01:39Z maronga
 # Renamed radiation_model to radiation_model_mod.
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1833)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1834)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! check of spectra quantities moved to spectra_mod
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1833 2016-04-07 14:23:03Z raasch
+! check of spectra quantities moved to spectra_mod
+! 
 ! 1829 2016-04-07 12:16:29Z maronga
 ! Bugfix: output of user defined data required reset of the string 'unit'
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 1833)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 1834)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! ------------------
-! spectrum renamed spectra_mod, spectra related variables moved to spectra_mod,
-! routines data_output_spectra_x/y removed
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! spectrum renamed spectra_mod, spectra related variables moved to spectra_mod,
+! routines data_output_spectra_x/y removed
 !
 ! 1786 2016-03-08 05:49:27Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1833)
+++ palm/trunk/SOURCE/header.f90	(revision 1834)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! -----------------
-! spectrum renamed spectra_mod, output of spectra related quantities moved to
-! spectra_mod
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! spectrum renamed spectra_mod, output of spectra related quantities moved to
+! spectra_mod
 !
 ! 1831 2016-04-07 13:15:51Z hoffmann
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1833)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1834)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! initialization of spectra quantities moved to spectra_mod
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! initialization of spectra quantities moved to spectra_mod
 !
 ! 1831 2016-04-07 13:15:51Z hoffmann
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 1833)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 1834)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! spectra related variables moved to spectra_mod
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! spectra related variables moved to spectra_mod
 !
 ! 1815 2016-04-06 13:49:59Z raasch
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1833)
+++ palm/trunk/SOURCE/modules.f90	(revision 1834)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! spectra parameter moved to spectra module
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! spectra parameter moved to spectra module
 !
 ! 1831 2016-04-07 13:15:51Z hoffmann
Index: palm/trunk/SOURCE/netcdf_interface.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface.f90	(revision 1833)
+++ palm/trunk/SOURCE/netcdf_interface.f90	(revision 1834)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! spectrum renamed spectra_mod
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! spectrum renamed spectra_mod
 !
 ! 1786 2016-03-08 05:49:27Z raasch
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1833)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1834)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! reading of spectra_par moved to spectra_mod
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1833 2016-04-07 14:23:03Z raasch
+! reading of spectra_par moved to spectra_mod
+! 
 ! 1831 2016-04-07 13:15:51Z hoffmann
 ! curvature_solution_effects added
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 1833)
+++ palm/trunk/SOURCE/palm.f90	(revision 1834)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! required user interface version changed
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! required user interface version changed
 !
 ! 1808 2016-04-05 19:44:00Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1833)
+++ palm/trunk/SOURCE/parin.f90	(revision 1834)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! call of spectra_parin
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1833 2016-04-07 14:23:03Z raasch
+! call of spectra_parin
+! 
 ! 1831 2016-04-07 13:15:51Z hoffmann
 ! turbulence renamed collision_turbulence, drizzle renamed
Index: palm/trunk/SOURCE/pmc_client.f90
===================================================================
--- palm/trunk/SOURCE/pmc_client.f90	(revision 1833)
+++ palm/trunk/SOURCE/pmc_client.f90	(revision 1834)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! gfortran requires pointer attributes for some array declarations,
-! long line wrapped
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! gfortran requires pointer attributes for some array declarations,
+! long line wrapped
 !
 ! 1808 2016-04-05 19:44:00Z raasch
Index: palm/trunk/SOURCE/pmc_server.f90
===================================================================
--- palm/trunk/SOURCE/pmc_server.f90	(revision 1833)
+++ palm/trunk/SOURCE/pmc_server.f90	(revision 1834)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! gfortran requires pointer attributes for some array declarations,
-! long line wrapped
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! gfortran requires pointer attributes for some array declarations,
+! long line wrapped
 !
 ! 1808 2016-04-05 19:44:00Z raasch
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 1833)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 1834)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! statistics module replaced by spectra module
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! statistics module replaced by spectra module
 !
 ! 1808 2016-04-05 19:44:00Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1833)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1834)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! spectra_mod added
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! spectra_mod added
 !
 ! 1831 2016-04-07 13:15:51Z hoffmann
Index: palm/trunk/SOURCE/spectra_mod.f90
===================================================================
--- palm/trunk/SOURCE/spectra_mod.f90	(revision 1833)
+++ palm/trunk/SOURCE/spectra_mod.f90	(revision 1834)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! -----------------
-! file renamed, reading the spectra_par NAMELIST moved from package_parin to
-! here
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! file renamed, reading the spectra_par NAMELIST moved from package_parin to
+! here
 !
 ! 1815 2016-04-06 13:49:59Z raasch
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1833)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1834)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! spectrum renamed spectra_mod, spectra related variables moved to spectra_mod
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! spectrum renamed spectra_mod, spectra related variables moved to spectra_mod
 !
 ! 1831 2016-04-07 13:15:51Z hoffmann
Index: palm/trunk/SOURCE/user_parin.f90
===================================================================
--- palm/trunk/SOURCE/user_parin.f90	(revision 1833)
+++ palm/trunk/SOURCE/user_parin.f90	(revision 1834)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! required interface revision changed
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! required interface revision changed
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/user_spectra.f90
===================================================================
--- palm/trunk/SOURCE/user_spectra.f90	(revision 1833)
+++ palm/trunk/SOURCE/user_spectra.f90	(revision 1834)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! spectrum renamed spectra_mod
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1833 2016-04-07 14:23:03Z raasch
+! spectrum renamed spectra_mod
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable  
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 1833)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 1834)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! statistics module replaced by spectra module
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1833 2016-04-07 14:23:03Z raasch
+! statistics module replaced by spectra module
+! 
 ! 1822 2016-04-07 07:49:42Z hoffmann
 ! icloud_scheme replaced by microphysics_*
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 1833)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1834)
@@ -19,10 +19,12 @@
 ! Current revisions:
 ! -----------------
-! spectra_mod added
-!
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1833 2016-04-07 14:23:03Z raasch
+! spectra_mod added
 !
 ! 1831 2016-04-07 13:15:51Z hoffmann 