Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1846)
+++ palm/trunk/SOURCE/modules.f90	(revision 1849)
@@ -19,6 +19,9 @@
 ! Current revisions:
 ! ------------------
-! 
-! 
+! bfactor, mass_of_solute, molecular_weight_of_solute, molecular_weight_of_water,
+! vanthoff moved to mod_particle_attributes.
+! dt_micro and several cloud_parameters moved to microphysics_mod.
+! 1d-microphysics profiles moved to microphysics_mod.
+!
 ! Former revisions:
 ! -----------------
@@ -394,8 +397,7 @@
           c_u_m, c_u_m_l, c_v_m, c_v_m_l, c_w_m, c_w_m_l, ddzu, ddzu_pres,     &
           dd2zu, dzu, ddzw, dzw, hyp, inflow_damping_factor, l_grid,           &
-          nc_1d, nr_1d, ptdf_x, ptdf_y, p_surf, pt_surf, pt_1d, pt_init,       &
-          qsws_surf, q_1d, q_init, q_surf, qc_1d, qr_1d, rdf, rdf_sc,          & 
-          ref_state, sa_init, shf_surf, timenudge, time_surf, time_vert,       &
-          tmp_tnudge, ug, u_init, u_nzb_p1_for_vfc, vg, v_init,                &
+          ptdf_x, ptdf_y, p_surf, pt_surf, pt_init, qsws_surf, q_init, q_surf, &
+          rdf, rdf_sc, ref_state, sa_init, shf_surf, timenudge, time_surf,     &
+          time_vert, tmp_tnudge, ug, u_init, u_nzb_p1_for_vfc, vg, v_init,     &
           v_nzb_p1_for_vfc, w_subs, zu, zw
 
@@ -407,5 +409,5 @@
           mean_inflow_profiles, nrs, nrsws, nrswst,                            &
           ol,                                                                  & !< Obukhov length
-          ptnudge, pt_slope_ref,                                               &
+          precipitation_amount, precipitation_rate, ptnudge, pt_slope_ref,     &
           qnudge, qs, qsws, qswst, qswst_remote, qrs, qrsws, qrswst,           &
           saswsb, saswst, shf, tnudge, td_lsa_lpt, td_lsa_q, td_sub_lpt,       &
@@ -421,5 +423,5 @@
           diss_l_v, diss_l_w, flux_l_e, flux_l_nr, flux_l_pt, flux_l_q,        &
           flux_l_qr, flux_l_sa, flux_l_u, flux_l_v, flux_l_w, kh, km,          &
-          l_wall, p_loc, tend, tric,                                           &
+          l_wall, prr, p_loc, tend, tric,                                      &
           u_m_l, u_m_n, u_m_r, u_m_s, v_m_l, v_m_n, v_m_r, v_m_s, w_m_l,       &
           w_m_n, w_m_r, w_m_s
@@ -490,79 +492,13 @@
     USE kinds
 
-    LOGICAL ::  cloud_water_sedimentation = .FALSE., & !< cloud water sedimentation in bulk cloud physics
-                limiter_sedimentation = .TRUE.,      & !< sedimentation limiter in bulk cloud physics
-                collision_turbulence = .FALSE.,      & !< turbulence effects in bulk cloud physics
-                ventilation_effect = .TRUE.            !< ventilation effect in bulk cloud physics
-                
-
-    REAL(wp) ::  a_1 = 8.69E-4_wp,     & !< coef. in turb. parametrization (cm-2 s3)
-                 a_2 = -7.38E-5_wp,    & !< coef. in turb. parametrization (cm-2 s3)
-                 a_3 = -1.40E-2_wp,    & !< coef. in turb. parametrization
-                 a_term = 9.65_wp,     & !< coef. for terminal velocity (m s-1)
-                 a_vent = 0.78_wp,     & !< coef. for ventilation effect
-                 b_1 = 11.45E-6_wp,    & !< coef. in turb. parametrization (m)
-                 b_2 = 9.68E-6_wp,     & !< coef. in turb. parametrization (m)
-                 b_3 = 0.62_wp,        & !< coef. in turb. parametrization
-                 b_term = 9.8_wp,      & !< coef. for terminal velocity (m s-1)
-                 b_vent = 0.308_wp,    & !< coef. for ventilation effect
-                 beta_cc = 3.09E-4_wp, & !< coef. in turb. parametrization (cm-2 s3)
-                 bfactor,              & !< solution effect on diffusional growth
-                 c_1 = 4.82E-6_wp,     & !< coef. in turb. parametrization (m)
-                 c_2 = 4.8E-6_wp,      & !< coef. in turb. parametrization (m)
-                 c_3 = 0.76_wp,        & !< coef. in turb. parametrization
-                 c_const = 0.93_wp,    & !< const. in Taylor-microscale Reynolds number
-                 c_evap = 0.7_wp,      & !< constant in evaporation
-                 c_sedimentation = 2.0_wp, & !< Courant number of sedimentation process
-                 c_term = 600.0_wp,    & !< coef. for terminal velocity (m-1)
-                 cof(6) = (/ 76.18009172947146_wp,      & !< coefficients in the 
-                             -86.50532032941677_wp,     & !< numerical
-                             24.01409824083091_wp,      & !< calculation of the
-                             -1.231739572450155_wp,     & !< gamma function
-                             0.1208650973866179E-2_wp,  &
-                             -0.5395239384953E-5_wp /), &
-                cp = 1005.0_wp,       & !< heat capacity of dry air (J kg-1 K-1) 
-                diff_coeff_l = 0.23E-4_wp, & !< diffusivity of water vapor (m2 s-1)
-                effective_coll_efficiency, & !< effective collision efficiency
-                eps_ros = 1.0E-4_wp,  & !< accuracy of Rosenbrock method
-                eps_sb = 1.0E-20_wp,  & !< threshold in two-moments scheme
-                k_cc = 9.44E09_wp,    & !< const. cloud-cloud kernel (m3 kg-2 s-1) 
-                k_cr0 = 4.33_wp,      & !< const. cloud-rain kernel (m3 kg-1 s-1) 
-                k_rr = 7.12_wp,       & !< const. rain-rain kernel (m3 kg-1 s-1) 
-                k_br = 1000._wp,      & !< const. in breakup parametrization (m-1)
-                k_st = 1.2E8_wp,      & !< const. in drizzle parametrization (m-1 s-1)
-                kappa_rr = 60.7_wp,   & !< const. in collision kernel (kg-1/3)
-                kin_vis_air = 1.4086E-5_wp, & !< kin. viscosity of air (m2 s-1)
+    REAL(wp) :: cp = 1005.0_wp,       & !< heat capacity of dry air (J kg-1 K-1)
                 l_v = 2.5E+06_wp,     & !< latent heat of vaporization (J kg-1)
                 l_d_cp, l_d_r, l_d_rv, & !< l_v / cp, l_v / r_d, l_v / r_v
-                mass_of_solute = 1.0E-17_wp, & !< soluted NaCl (kg)
-                molecular_weight_of_solute = 0.05844_wp, & !< mol. m. NaCl (kg mol-1)
-                molecular_weight_of_water = 0.01801528_wp, & !< mol. m. H2O (kg mol-1)
-                nc_const = 70.0E6_wp, & !< cloud droplet concentration
-                prec_time_const = 0.001_wp, & !< coef. in Kessler scheme
-                pirho_l, dpirho_l, & !< pi * rho_l / 6.0; 6.0 / ( pi * rho_l )
                 rho_l = 1.0E3_wp,     & !< density of water (kg m-3)
-                ql_crit = 0.0005_wp,  & !< coef. in Kessler scheme
                 r_d = 287.0_wp,       & !< sp. gas const. dry air (J kg-1 K-1)
-                r_v = 461.51_wp,      & !< sp. gas const. water vapor (J kg-1 K-1)
-                schmidt = 0.71_wp,    & !< Schmidt number
-                schmidt_p_1d3,        & !< schmidt**( 1.0 / 3.0 )
-                sed_qc_const,         & !< const. for sedimentation of cloud water
-                sigma_gc = 1.3_wp,    & !< log-normal geometric standard deviation
-                stp = 2.5066282746310005_wp, & !< parameter in gamma function
-                thermal_conductivity_l = 2.43E-2_wp, & !< therm. cond. air (J m-1 s-1 K-1)
-                vanthoff = 2.0_wp,    & !< van't Hoff factor for NaCl
-                x0 = 2.6E-10_wp,      & !< separating drop mass (kg)
-                xrmin = 2.6E-10_wp,   & !< minimum rain drop size (kg)
-                xrmax = 5.0E-6_wp,    & !< maximum rain drop site (kg)
-                dt_precipitation = 100.0_wp, & !< timestep precipitation (s)
-                w_precipitation = 9.65_wp      !< maximum terminal velocity (m s-1)
+                r_v = 461.51_wp         !< sp. gas const. water vapor (J kg-1 K-1)
+
 
     REAL(wp), DIMENSION(:), ALLOCATABLE     ::  hyrho, pt_d_t, t_d_pt  
-
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  precipitation_amount, &
-                                                precipitation_rate
-!
-!-- 3D array of precipitation rate
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  prr
 
     SAVE
@@ -807,5 +743,5 @@
                  dt_do2d_xy = 9999999.9_wp, dt_do2d_xz = 9999999.9_wp, &
                  dt_do2d_yz = 9999999.9_wp, dt_do3d = 9999999.9_wp, dt_dvrp = 9999999.9_wp, &
-                 dt_max = 20.0_wp, dt_micro = -1.0_wp, &
+                 dt_max = 20.0_wp, &
                  dt_restart = 9999999.9_wp, &
                  dt_run_control = 60.0_wp, dt_3d = -1.0_wp, dz = -1.0_wp, &